#ifndef __GAMEDEFINES_H
#define	__GAMEDEFINES_H

// Sprite frames
#define	SPRITE			404 	
#define	SPLASH			((SPRITE + 16))
#define	FROGTILE		SPRITE
#define	FROGPALETTE1	3
#define	FROGPALETTE2	4
#define	BACKGROUNDCOLOR	0x400028

// Position offsets
#define	FROG1X			82
#define	FROG2X			222
#define	SPLASHWIDTH		32

// Screen defines
#define	SCREENLEFT		8
#define	SCREENRIGHT		311
#define	LEFTEDGE		18
#define RIGHTEDGE		278
#define	MIDDLELEFT		118
#define	MIDDLERIGHT		184

// Sprite offsets
#define	SWIMSPRITE		7
#define	FACESPRITE		8
#define	JUMPSPRITE		1
#define	FLYSPRITE		6

// Score defines
#define	SCOREY			27
#define	SCORE1X			4
#define	SCORE2X			35
#define	FONTPAL			2
#define	TIMEX			16
#define	TIMEY			SCOREY + 1
#define	STARTX			15		
#define	STARTY			20
#define	STARTSPRY		18
#define	GAMEOVERX		15
#define	GAMEOVERY		10
#define	PLAYER1X		112
#define	PLAYER2X		192
#define	PLAYERY			((GAMEOVERY + 2) * 8)
#define	ENDSCORE1X		15
#define	ENDSCORE2X		25
#define	ENDSCOREY		GAMEOVERY + 7
#define	TIEX			16

// Sound defines
#define	SND_FROG1		0		// Frog sound
#define	SND_TONGUE1		1		// Tongue sound
#define	SND_GRAB1		2		// Grab sound
#define	SND_WATER1		3		// Water sound
#define	SND_FROG2		0		// Frog sound
#define	SND_TONGUE2		1		// Tongue sound
#define	SND_GRAB2		2		// Grab sound
#define	SND_WATER2		3		// Water sound

// Animation frames
const DWORD TongueFrames[LICKLENGTH]	=
{
	2, 3, 4, 5, 5, 4, 3, 2
};

const DWORD SkyBlue[SKYLENGTH]	=
{
	9, 10, 11, 13, 11, 10, 9
};

const DWORD SkyGreen[SKYLENGTH]	=
{
	6, 7, 8, 10, 8, 7, 6
};

#endif